# Retrieve result of a matrix computation job

Endpoint: GET /matrix/solution/{jobId}
Version: 1.0.0
Security: key

## Path parameters:

  - `jobId` (string, required)
    The jobId you received when you submitted the job.

## Response 200 fields (application/json):

  - `solution` (object)

  - `solution.distances` (array)
    The distance matrix for the specified points in the same order as the time matrix. The distances are in meters. If fail_fast=false the matrix will contain null for connections that could not be found.

  - `solution.times` (array)
    The time matrix for the specified points in the order [[from1->to1, from1->to2, ...], [from2->to1, from2->to2, ...], ...]. The times are in seconds. If fail_fast=false the matrix will contain null for connections that could not be found.

  - `solution.weights` (array)
    The weight matrix for the specified points in the same order as the time matrix. The weights for different vehicle profiles can have a different unit but the weights array is perfectly suited as input for Vehicle Routing Problems as it is currently faster to calculate. If fail_fast=false the matrix will contain null for connections that could not be found.

  - `solution.info` (object)
    Additional information for your request

  - `solution.info.copyrights` (array)
    Attribution according to our documentation is necessary if no white-label option included.

  - `solution.info.took` (number)

  - `solution.hints` (array)
    Optional. Additional response data.

  - `solution.hints.message` (string)
    Short description of this hint

  - `solution.hints.details` (string)
    Details of this hint

  - `solution.hints.invalid_from_points` (array)
    Optional. An array of from_point indices of points that could not be found. Will only be added if fail_fast=false and some from_points were not found.`

  - `solution.hints.invalid_to_points` (array)
    Optional. An array of to_point indices of points that could not be found. Will only be added if fail_fast=false and some to_points were not found.`

  - `solution.hints.point_pairs` (array)
    Optional. An array of two-element arrays representing the from/to_point indices of points for which no connection could be found. Will only be added if fail_fast=false and some connections were not found.

  - `status` (string)
    Enum: "processing", "finished"


